/*
 * Copyright (C) 1995-2014 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

__componentGroup = function(name)
{
	//inherited
	this.componentElement = componentElement;
	this.componentElement(name);

	this.groups = new Object();
};

__componentGroup.prototype = new componentElement;
__componentGroup.prototype.type = "__componentGroup";

__componentGroup.prototype.onCreate = function()
{
};

__componentGroup.prototype.onPaint = function()
{
};

__componentGroup.prototype.actionShowObject = function(group)
{
	var elemGroup = this.groups[unescape(group)];
	if (elemGroup != null && typeof(elemGroup) != "undefined" && elemGroup != "") {
		var elArr = elemGroup.split(",");
		for (var i=0; i<elArr.length; i++) {
			var elem = page.all[elArr[i]];
			if (elem) {
				elem.show();
			};
		};
	};
};

__componentGroup.prototype.actionHideObject = function(group)
{
	var elemGroup = this.groups[unescape(group)];
	if (elemGroup != null && typeof(elemGroup) != "undefined" && elemGroup != "") {
		var elArr = elemGroup.split(",");
		for (var i=0; i<elArr.length; i++) {
			var elem = page.all[elArr[i]];
			if (elem) {
				elem.hide();
			};
		};
	};
};

__componentGroup.prototype.lock = function(group)
{
	var elemGroup = this.groups[unescape(group)];
	if (elemGroup != null && typeof(elemGroup) != "undefined" && elemGroup != "") {
		var elArr = elemGroup.split(",");
		for (var i=0; i<elArr.length; i++) {
			var elem = page.all[elArr[i]];
			if (elem) {
				elem.lock();
			};
		};
	};
};

__componentGroup.prototype.unlock = function(group)
{
	var elemGroup = this.groups[unescape(group)];
	if (elemGroup != null && typeof(elemGroup) != "undefined" && elemGroup != "") {
		var elArr = elemGroup.split(",");
		for (var i=0; i<elArr.length; i++) {
			var elem = page.all[elArr[i]];
			if (elem) {
				elem.unlock();
			};
		};
	};
};
